Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

List topics grouped by connector/entity

Get topics grouped by entity_id (connector instances) with nested pagination.

Each group represents a source/transform/destination entity and contains its topics. Supports dual pagination (groups and topics within groups) and dual sorting.

Supports multiple entity types via comma-separated values (e.g., entity_type=sources,transforms). Note: group_id requires exactly one entity_type to be specified.

GET/topics/details/grouped
Authorization
AuthorizationBearer token · headerrequired
Query parameters
entity_typestring | any

Filter by entity type(s). Single value (e.g., 'sources') or comma-separated (e.g., 'sources,transforms'). Valid types: sources, destinations, transforms, pipelines, manual.

pageinteger
default: 1
page_sizeinteger
default: 10
topics_per_groupinteger
default: 20
topics_pageinteger
default: 1
sort_groups_bystring
default: "name"
Allowed:nameconnectortopic_count
sort_groups_dirstring
default: "asc"
Allowed:ascdesc
sort_topics_bystring
default: "name"
sort_topics_dirstring
default: "asc"
Allowed:ascdesc
partial_namestring | any
connectorstring | any
group_idstring | any

Filter to a specific group/entity_id. Requires exactly one entity_type when used.

group_topic_pagesobject | any
tag_idsstring | any

Filter by tag IDs. Comma-separated list (e.g., 'tag1,tag2'). Use with tag_filter_operation to control AND/OR logic.

tag_filter_operationstring | any

Tag filter logic: 'or' (default) matches any tag, 'and' matches all tags.

default: "or"
Responses
200

Successful Response

pageinteger

Current page number

default: 1
page_sizeinteger

Results per page

default: 10
totalinteger | any

Total number of results

Show properties
Any of:
integer
integer
any
any
has_nextboolean | any

Whether more pages exist

Show properties
Any of:
boolean
boolean
any
any
resultTopicGroup[]required
Show properties
Array of TopicGroup
group_idstringrequired
group_typestring
default: "entity_id"
entityTopicGroupEntityrequired

Entity information for a topic group.

Show properties
entity_idstringrequired
entity_typeTopicDetailsEntityTypeEnumrequired

Enum for topic entity types (producer types).

Allowed:sourcesdestinationstransformspipelinesmanual
entity_namestringrequired
connectorSourceConnectorEnum | DestinationConnectorEnum | TransformsLibraryEnum | stringrequired
Show properties
Any of:
SourceConnectorEnum
string
DestinationConnectorEnum
string
TransformsLibraryEnum
string
string
string
connector_display_namestringrequired
topic_countintegerrequired
topicsTopicsDetailsResrequired
Show properties
pageinteger

Current page number

default: 1
page_sizeinteger

Results per page

default: 10
totalinteger | any

Total number of results

Show properties
Any of:
integer
integer
any
any
has_nextboolean | any

Whether more pages exist

Show properties
Any of:
boolean
boolean
any
any
resultTopicDetailsRes[]required
Show properties
Array of TopicDetailsRes
idstringrequired
namestringrequired
entityTopicDetailsEntityrequired
Show properties
entity_typeTopicDetailsEntityTypeEnumrequired

Enum for topic entity types (producer types).

Allowed:sourcesdestinationstransformspipelinesmanual
entity_idstringrequired
namestringrequired
connectorSourceConnectorEnum | DestinationConnectorEnum | TransformsLibraryEnum | stringrequired
Show properties
Any of:
SourceConnectorEnum
string
DestinationConnectorEnum
string
TransformsLibraryEnum
string
string
string
topic_idsstring[]required
topic_db_idsstring[]required
display_namestringrequired
filtered_snapshot_languagestring | any
Show properties
Any of:
string
string
any
any
prefixstring | any
Show properties
Any of:
string
string
any
any
serializationTopicSerialization | any

Serialization format information for this topic (inherited from producer)

Show properties
Any of:
TopicSerialization
key_formatSerializationFormatEnum

Human-readable serialization format names for API responses.

Allowed:avrojsonjson_schemaprotobufstringbytearrayunknown
value_formatSerializationFormatEnum

Human-readable serialization format names for API responses.

Allowed:avrojsonjson_schemaprotobufstringbytearrayunknown
key_converterstring | any

Converter class for message keys

Show properties
Any of:
string
string
any
any
value_converterstring | any

Converter class for message values

Show properties
Any of:
string
string
any
any
schema_registry_enabledboolean

Whether Schema Registry is used for this topic's serialization

default: false
any
any
tagsstring[] | any

List of tag IDs assigned to this topic

Show properties
Any of:
string[]
Array of string
string
any
any
broker_onlyboolean

True when this row was surfaced from a broker listing rather than the MongoDB topics collection (only possible with include_internal=true). The FE renders a badge so the user can tell Mongo-tracked topics apart from broker-only ones.

default: false
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET "https://api.streamkap.com/topics/details/grouped" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "page": 1,
  "page_size": 10,
  "total": 0,
  "has_next": true,
  "result": [
    {
      "group_id": "string",
      "group_type": "entity_id",
      "entity": {
        "entity_id": "string",
        "entity_type": "sources",
        "entity_name": "string",
        "connector": "alloydb",
        "connector_display_name": "string"
      },
      "topic_count": 0,
      "topics": {
        "page": 1,
        "page_size": 10,
        "total": 0,
        "has_next": true,
        "result": [
          {
            "id": "string",
            "name": "string",
            "entity": {
              "entity_type": "sources",
              "entity_id": "string",
              "name": "string",
              "connector": "alloydb",
              "topic_ids": [
                "string"
              ],
              "topic_db_ids": [
                "string"
              ],
              "display_name": "string",
              "filtered_snapshot_language": "string"
            },
            "prefix": "string",
            "serialization": {
              "key_format": "avro",
              "value_format": "avro",
              "key_converter": "string",
              "value_converter": "string",
              "schema_registry_enabled": false
            },
            "tags": [
              "string"
            ],
            "broker_only": false
          }
        ]
      }
    }
  ]
}